#
# spec file for package obs-service-download_url
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           obs-service-download_url
Summary:        An OBS source service: wget download tool
License:        GPL-2.0-or-later
Group:          Development/Tools/Building
URL:            https://github.com/openSUSE/obs-service-download_url
Version:        0.2.1
Release:        1.2
Source:         %name-%version.tar.gz
Requires:       wget
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

It supports downloading files from given URLs via wget

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/usr/lib/obs/service
install -m 0755 download_url         %{buildroot}/usr/lib/obs/service
install -m 0644 download_url.service %{buildroot}/usr/lib/obs/service

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service

%changelog
* Wed Jul 10 2024 adrian@suse.de
- Update to version 0.2.1:
  * fixed argument parsing boo#1227203 CVE-2024-22033
* Mon Jul 24 2023 adrian@suse.de
- Update to version 0.2.0:
  * BREAKING CHANGE: enable sslvalidation by default
  * Fix filename option
  * added new parameter "download-manifest" for bulk downloads
* Mon Aug 23 2021 Enrico Belleri <idesmi@protonmail.com>
- replace mentions of curl with wget
* Tue Oct  6 2020 FSchreiner@suse.com
- Update to version 0.1.3:
  * Revamp
* Fri Aug  9 2019 marco.strigl@suse.com
- Update to version 0.1.2:
  * make download_url executable.
  * GPL license file
* Mon Jul 10 2017 adrian@suse.de
- Update to version 0.1.1:
* Tue Dec 17 2013 speilicke@suse.com
- Factory prep: Fix spec/changes file naming, cleanup
* Wed Dec 29 2010 adrian@suse.de
- add option to specify the output file name
* Fri Jul 23 2010 adrian@suse.de
- added service file as needed for OBS 2.1
* Fri Jan 22 2010 adrian@suse.de
- initial version for supporting server side file downloads via curl
